;======================================================================
;                    D O W N L O O K E R _ P R E _ F I R M W A R E _ 1 6 . 3 . C M D 
;                    doc: Tue Jun 15 11:46:07 2004
;                    dlm: Fri Jul  3 10:22:00 2020
;                    (c) 2004 A.M. Thurnherr
;                    uE-Info: 9 59 NIL 0 0 72 2 2 8 NIL ofnI
;======================================================================

; This is the downlooker command file for firmware pre 16.3

; NOTES:
;   - contains only commands that change factory defaults
;   - assumes that LADCP mode is installed
;   - collect data in beam coordinates
;   - staggered single-ping ensembles every 1.5s/2.0s
;   - narrow bandwidth
;   - 25 8m cells --- reduce after determining the regional instrument

; HISTORY:
; Feb  1, 2006:
;	- released for CLIVAR P16N
; Oct 30, 2006:
;	- adapted for LADDER 1
; Nov 19, 2008:
;	- removed CR1 for acquire V1.3
; Oct 14, 2009:
;	- added explicit setting of narrow band mode
; Jul  3, 2020:
;	- expunged master/slave terminology

TC2			; ensembles per burst
LP1			; pings per ensemble
TB 00:00:03.50		; time per burst
TE 00:00:01.50		; time per ensemble
TP 00:00.00		; time between pings

LN25			; number of depth cells
LS0800			; bin size [cm]
LF0			; blank after transmit [cm]

WB1			; narrow bandwidth mode 1 (not sure if required)
LW1			; narrow bandwidth LADCP mode
LV250			; ambiguity velocity [cm/s]

SM1			; send sync pulse
SA011			; send pulse before each ensemble
SW5500			; wait .5500 s after sending sync pulse
SI0			; # of ensembles to wait before sending sync pulse

EZ0011101		; Sensor source:
			;	- manual speed of sound (EC)
			;	- manual depth of transducer (ED = 0 [dm])
			;	- measured heading (EH)
			;	- measured pitch (EP)
			;	- measured roll (ER)
			;	- manual salinity (ES = 35 [psu])
			;	- measured temperature (ET)

EX00100			; coordinate transformation:
			;	- radial beam coordinates (2 bits)
			;	- use pitch/roll (not used for beam coords?)
			;	- no 3-beam solutions
			;	- no bin mapping

CF11101			; Flow control:
			;	- automatic ensemble cycling (next ens when ready)
			;	- automatic ping cycling (ping when ready)
			;	- binary data output
			;	- disable serial output
			;	- enable data recorder

CK			; keep params as user defaults (across power failures)
CS			; start pinging
