;======================================================================
;                    U P L O O K E R . C M D 
;                    doc: Tue Jun 15 11:46:07 2004
;                    dlm: Fri Jul  3 10:07:26 2020
;                    (c) 2004 A.M. Thurnherr
;                    uE-Info: 9 22 NIL 0 0 72 2 2 8 NIL ofnI
;======================================================================

; This is the default uplooker command file

; NOTES:
;   - this version requires firmware 16.30 or higher
;   - contains only commands that change factory defaults
;   - assumes that WM15 (LADCP) mode is installed
;   - collect data in beam coordinates
;   - single-ping ensembles; timing determined by [DOWNLOOKER.cmd]
;   - narrow bandwidth
;   - 25x 8m cells

; HISTORY:
;   Jan  7, 2011: - created for Firmware 16.30 or higher from old version
;		  - increased pinging rate
;   Jul  3, 2020: - expunged master/slave terminology

WM15			; water mode 15 (LADCP)

LP1			; pings per ensemble
TP 00:00.00		; time between pings
TE 00:00:00.00		; time per ensemble

LN25			; number of depth cells
LS0800			; bin size [cm]
LF0			; blank after transmit [cm]

WB1			; narrow bandwidth mode 1 (not sure if required)
LW1			; narrow bandwidth LADCP mode
LV400			; ambiguity velocity [cm/s]

SM2			; receive sync pulses
SA011			; wait for pulse before ensemble
SB0			; disable hardware-break detection on Channel B (ICN118)

EZ0011101		; Sensor source:
			;	- manual speed of sound (EC)
			;	- manual depth of transducer (ED = 0 [dm])
			;	- measured heading (EH)
			;	- measured pitch (EP)
			;	- measured roll (ER)
			;	- manual salinity (ES = 35 [psu])
			;	- measured temperature (ET)

EX00100			; coordinate transformation:
			;	- radial beam coordinates (2 bits)
			;	- use pitch/roll (not used for beam coords?)
			;	- no 3-beam solutions
			;	- no bin mapping

CF11101			; Flow control:
			;	- automatic ensemble cycling (next ens when ready)
			;	- automatic ping cycling (ping when ready)
			;	- binary data output
			;	- disable serial output
			;	- enable data recorder

CK			; keep params as user defaults (across power failures)
CS			; start pinging
